Jump to content
×
×
  • Create New...
  • 0

AIDER, erreur mise à jour python 2.2 à 2.7


4l0ns0xD
 Share

Question

Bonjour, je ai suivi ce guide.

python 2.2 to 2.7

mais je ai ces problèmes pour exécuter le nouveau binaire compilé.

 

bonjour

quelqu'un peut me aider?

Je ai ce problème lorsque l'on veut utiliser le binaire compilé.

 

Client Syserr

 

1213 16:47:02018 :: CANNOT_FIND_PACK_FILE [sound/effect/etc/dropitem/dropitem.mss]
1213 16:48:12635 :: ui:2806: RuntimeWarning: tp_compare didn't return -1 or -2 for exception

1213 16:48:12643 :: 
introLogin.py(line:499) __LoadScript
ui.py(line:2799) LoadScriptFile
ui.py(line:2989) LoadChildren
ui.py(line:2989) LoadChildren
ui.py(line:2806) LoadChildren

LoginWindow.__LoadScript.LoadObject - :Python int too large to convert to C long

1213 16:48:12645 :: ============================================================================================================
1213 16:48:12645 :: Abort!!!!



 

Link to comment
Share on other sites

11 answers to this question

Recommended Posts

  • 0

Salut,

 

Il te manque les nouvelles librairies client.

 

Petit lien:

https://mega.co.nz/#!HxQGEYAI!JVvbfTij9tx0cnRZEbzkWyKOvc-swB88iqBQnmWKr-M

 

Supprime tout le contenu de ton dossier "lib", et met ces fichiers-là à la place, cela devrait marcher.

 

 

bonjour Kijaru

 

Je garde jeter la même erreur d'utiliser ce que vous avez recommandé. :huh:

 

1213 17:19:00474 :: CANNOT_FIND_PACK_FILE [sound/effect/etc/dropitem/dropitem.mss]
1213 17:20:09282 :: ui:2806: RuntimeWarning: tp_compare didn't return -1 or -2 for exception

1213 17:20:09291 :: 
introLogin.py(line:499) __LoadScript
ui.py(line:2799) LoadScriptFile
ui.py(line:2989) LoadChildren
ui.py(line:2989) LoadChildren
ui.py(line:2806) LoadChildren

LoginWindow.__LoadScript.LoadObject - :Python int too large to convert to C long

1213 17:20:09291 :: ============================================================================================================
1213 17:20:09291 :: Abort!!!!

Link to comment
Share on other sites

  • 0

lorsque je utilise le metin2 officielle python27.dll (size: 2.3mb) me donne cette erreur.

 

1213 18:43:01922 :: CANNOT_FIND_PACK_FILE [sound/effect/etc/dropitem/dropitem.mss]
1213 18:44:11766 :: ui:2806: RuntimeWarning: tp_compare didn't return -1 or -2 for exception

1213 18:44:11773 :: 
introLogin.py(line:499) __LoadScript
ui.py(line:2799) LoadScriptFile
ui.py(line:2989) LoadChildren
ui.py(line:2989) LoadChildren
ui.py(line:2806) LoadChildren

LoginWindow.__LoadScript.LoadObject - :Python int too large to convert to C long

1213 18:44:11773 :: ============================================================================================================
1213 18:44:11773 :: Abort!!!!

Link to comment
Share on other sites

  • 0
  • Retraité

Tu vas dans le fichier: PythonUtils.cpp

Et à l'entête, tu mets:

 

#define PyLong_AsLong PyLong_AsLongLong

#define PyLong_AsUnsignedLong PyLong_AsUnsignedLongLong

 

 

Puis tu re-compiles le lanceur. Tout devrait fonctionner après

 

 

N'oublie pas la balise [En cours]. Elle est obligatoire sur toutes les demandes de supports.

Link to comment
Share on other sites

Guest
This topic is now closed to further replies.
 Share



  • Flux d'Activité

    1. 0

      Projet Genesis

    2. 4

      Shiva.international serveur privé metin2 Oldschool Start 16.09.2022

    3. 0

      Metin2 Champions - Accès anticipé

    4. 0

      Barbok

    5. 4

      Shiva.international serveur privé metin2 Oldschool Start 16.09.2022

    6. 2

      Partage Émulateur 2.63

    7. 2

      Partage Émulateur 2.63

  • Recently Browsing

    • No registered users viewing this page.

Important Information

Terms of Use / Privacy Policy / Guidelines / We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.